<template>
  <bh-bizcard-ui :bizcard="bizcard" :selected="isSelected" />
</template>

<script>
export default {
  name: 'BhBizcard',
  props: {
    bizcard: {
      type: Object,
      default: () => ({}),
    },
  },
  computed: {
    isSelected() {
      const selected = this.$store.getters['bizcards/getSelectedBizcard'];
      return selected === this.bizcard.slug;
    },
  },
};
</script>
